Bug 1006848 - [RHEVM] [rhevm-image-uploader] info message appear in stderr, instead of stdout.
[RHEVM] [rhevm-image-uploader] info message appear in stderr, instead of stdout.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-image-uploader (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Jiri Belka
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 07:35 EDT by Sandro Bonazzola
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: rhevm-image-uploader-3.3.0-1.el6ev
Doc Type: Bug Fix
Doc Text:
Previously the logging system wrote all messages to the standard error. Now only errors are logged to the standard error, all the other message are logged to standard output.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 05:22:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19129 None None None Never
oVirt gerrit 19215 None None None Never

  None (edit)
Description Sandro Bonazzola 2013-09-11 07:35:15 EDT
Bug #956518 also affects rhevm-image-uploader.

Description of problem:
'rhevm-image-uploader -e unknown upload sample.ovf'
sends info message to stderr instead of stdout:

rc: 1

out: <empty>

err: 
ERROR: An export storage domain with a name of unknown was not found.
INFO: Use the -h option to see usage.
Comment 1 Sandro Bonazzola 2013-09-11 08:00:14 EDT
patch pushed upstream master:

Previously the logging system wrote all the messages
to the standard error.

Now only errors are logged to the standard error, all the
other message are logged to standard output
Comment 2 Sandro Bonazzola 2013-09-13 07:24:05 EDT
merged upstream master, pushed upstream 3.3
Comment 3 Sandro Bonazzola 2013-09-13 07:25:29 EDT
merged upstream 3.3

Note You need to log in before you can comment on or make changes to this bug.